# Class FaultInjection

java.lang.Object
com.io7m.certusine.vanilla.internal.jaxb.FaultInjection

public class FaultInjection extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="FailTasks" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="FailDNSChallenge" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="FailSigningCertificates" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="CrashTasks" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="CrashDNSChallenge" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="CrashSigningCertificates" type="{http://www.w3.org/2001/XMLSchema}boolean" />
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Boolean`
  `crashDNSChallenge`
  `protected Boolean`
  `crashSigningCertificates`
  `protected Boolean`
  `crashTasks`
  `protected Boolean`
  `failDNSChallenge`
  `protected Boolean`
  `failSigningCertificates`
  `protected Boolean`
  `failTasks`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FaultInjection()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean`
  `isCrashDNSChallenge()`
  Gets the value of the crashDNSChallenge property.
  `Boolean`
  `isCrashSigningCertificates()`
  Gets the value of the crashSigningCertificates property.
  `Boolean`
  `isCrashTasks()`
  Gets the value of the crashTasks property.
  `Boolean`
  `isFailDNSChallenge()`
  Gets the value of the failDNSChallenge property.
  `Boolean`
  `isFailSigningCertificates()`
  Gets the value of the failSigningCertificates property.
  `Boolean`
  `isFailTasks()`
  Gets the value of the failTasks property.
  `void`
  `setCrashDNSChallenge(Boolean value)`
  Sets the value of the crashDNSChallenge property.
  `void`
  `setCrashSigningCertificates(Boolean value)`
  Sets the value of the crashSigningCertificates property.
  `void`
  `setCrashTasks(Boolean value)`
  Sets the value of the crashTasks property.
  `void`
  `setFailDNSChallenge(Boolean value)`
  Sets the value of the failDNSChallenge property.
  `void`
  `setFailSigningCertificates(Boolean value)`
  Sets the value of the failSigningCertificates property.
  `void`
  `setFailTasks(Boolean value)`
  Sets the value of the failTasks property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### failTasks

    protected Boolean failTasks

  - ### failDNSChallenge

    protected Boolean failDNSChallenge

  - ### failSigningCertificates

    protected Boolean failSigningCertificates

  - ### crashTasks

    protected Boolean crashTasks

  - ### crashDNSChallenge

    protected Boolean crashDNSChallenge

  - ### crashSigningCertificates

    protected Boolean crashSigningCertificates

- ## Constructor Details

  - ### FaultInjection

    public FaultInjection()

- ## Method Details

  - ### isFailTasks

    public Boolean isFailTasks()
    Gets the value of the failTasks property.
    Returns:
      possible object is `Boolean`

  - ### setFailTasks

    public void setFailTasks(Boolean value)
    Sets the value of the failTasks property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isFailDNSChallenge

    public Boolean isFailDNSChallenge()
    Gets the value of the failDNSChallenge property.
    Returns:
      possible object is `Boolean`

  - ### setFailDNSChallenge

    public void setFailDNSChallenge(Boolean value)
    Sets the value of the failDNSChallenge property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isFailSigningCertificates

    public Boolean isFailSigningCertificates()
    Gets the value of the failSigningCertificates property.
    Returns:
      possible object is `Boolean`

  - ### setFailSigningCertificates

    public void setFailSigningCertificates(Boolean value)
    Sets the value of the failSigningCertificates property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isCrashTasks

    public Boolean isCrashTasks()
    Gets the value of the crashTasks property.
    Returns:
      possible object is `Boolean`

  - ### setCrashTasks

    public void setCrashTasks(Boolean value)
    Sets the value of the crashTasks property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isCrashDNSChallenge

    public Boolean isCrashDNSChallenge()
    Gets the value of the crashDNSChallenge property.
    Returns:
      possible object is `Boolean`

  - ### setCrashDNSChallenge

    public void setCrashDNSChallenge(Boolean value)
    Sets the value of the crashDNSChallenge property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isCrashSigningCertificates

    public Boolean isCrashSigningCertificates()
    Gets the value of the crashSigningCertificates property.
    Returns:
      possible object is `Boolean`

  - ### setCrashSigningCertificates

    public void setCrashSigningCertificates(Boolean value)
    Sets the value of the crashSigningCertificates property.
    Parameters:
      `value` - allowed object is `Boolean`